---
title: Document.bgColor
slug: Web/API/Document/bgColor
tags:
  - API
  - Deprecated
  - Document
  - HTML DOM
  - NeedsMarkupWork
  - NeedsSpecTable
  - Property
  - Reference
---
<p>{{APIRef("DOM")}} {{ Deprecated_header() }}</p>

<p>The deprecated  <code>bgColor</code> property gets or sets the background color of the current document.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>color</em> = document.bgColor
document.bgColor =<em>color</em>
</pre>

<h3 id="Parameters">Parameters</h3>

<ul>
 <li><code>color</code> is a string representing the color as a word (e.g., "red") or hexadecimal value (e.g., "<code>#ff0000</code>").</li>
</ul>

<h2 id="Example">Example</h2>

<pre class="eval">document.bgColor = "darkblue";
</pre>

<h2 id="Notes">Notes</h2>

<p>The default value for this property in Firefox is white (<code>#ffffff</code> in hexadecimal).</p>

<p><code>document.bgColor</code> is deprecated in <a class="external" href="http://www.w3.org/TR/DOM-Level-2-HTML/html.html#ID-26809268">DOM Level 2 HTML</a>. The recommended alternative is use of the CSS style {{Cssxref("background-color")}} which can be accessed through the DOM with <code>document.body.style.backgroundColor</code>. Another alternative is <code>document.body.bgColor</code>, although this is also deprecated in HTML 4.01 in favor of the CSS alternative.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>The compatibility table on this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.Document.bgColor")}}</p>
